Host Graphics Manager Get Graphics Config

Host Graphics Manager Get Graphics Config
Graphics Configuration

Graphics Configuration

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/graphicsConfig
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostGraphicsManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "_typeName": "string",
    "hostDefaultGraphicsType": "string",
    "sharedPassthruAssignmentPolicy": "string",
    "deviceType": [
        {
            "_typeName": "string",
            "deviceId": "string",
            "graphicsType": "string",
            "vgpuMode": "string"
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/graphicsConfig